%define dist XML-Bare
Name: perl-%dist
Version: 0.53
Release: alt3

Summary: A minimal XML parser / schema checker / pretty-printer using C internally
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: http://www.cpan.org/authors/id/C/CO/CODECHILD/XML-Bare-%{version}.tar.gz

Patch0: perl-XML-Bare-c99.patch
Patch1: perl-XML-Bare-c99-2.patch


# Automatically added by buildreq on Sat Oct 08 2011
BuildRequires: perl-Test-Pod

%description
This module is a 'Bare' XML parser. It is implemented in C. The parser
itself is a simple state engine that is less than 500 lines of C. The
parser builds a C struct tree from input text. That C struct tree is
converted to a Perl hash by a Perl function that makes basic calls back
to the C to go through the nodes sequentially.

The parser itself will only cease parsing if it encounters tags that
are not closed properly. All other inputs will parse, even invalid
inputs. To allowing checking for validity, a schema checker is included
in the module as well.

%prep
%setup -q -n %dist-%version
%patch0 -p1
%patch1 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/XML
%perl_vendor_autolib/XML

%changelog
* Fri Apr 18 2025 Igor Vlasenko <viy@altlinux.org> 0.53-alt3
- restored to Sisyphus

* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.53-alt2.2
- rebuild with new perl 5.28.1

* Fri Dec 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.53-alt2.1.1.1.1
- rebuild with new perl 5.26.1

* Fri Feb 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.53-alt2.1.1.1
- rebuild with new perl 5.24.1

* Wed Nov 25 2015 Igor Vlasenko <viy@altlinux.ru> 0.53-alt2.1.1
- rebuild with new perl 5.22.0

* Tue Dec 09 2014 Igor Vlasenko <viy@altlinux.ru> 0.53-alt2.1
- rebuild with new perl 5.20.1

* Wed Aug 28 2013 Vladimir Lettiev <crux@altlinux.ru> 0.53-alt2
- built for perl 5.18

* Wed Jul 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1
- automated CPAN update

* Sat Sep 01 2012 Vladimir Lettiev <crux@altlinux.ru> 0.47-alt1
- 0.45 -> 0.47
- built for perl-5.16

* Sat Oct 08 2011 Alexey Tourbin <at@altlinux.ru> 0.45-alt1.2
- rebuilt for perl-5.14

* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux.ru> 0.45-alt1.1
- rebuilt with perl 5.12

* Sat Sep 04 2010 Denis Smirnov <mithraen@altlinux.ru> 0.45-alt1
- initial build for ALT Linux Sisyphus
